「Vlax-curve-getArea」の版間の差分
(ページの作成: ; 構文 : (vlax-curve-getArea ''curve-obj'') ; 機能 : 曲線の内側の面積を返す。 ; 引数 :* curve-obj : 計測する VLA オブジェクト。 ; 戻り値 : 成…) |
細編集の要約なし |
||
14行目: | 14行目: | ||
; サンプル | ; サンプル | ||
: | <pre class="brush:autolisp;"> | ||
(defun ex_curvearea () | |||
: | (vl-load-com) | ||
(setq ent1 (car (entsel "¥n円か楕円をクリック:"))) | |||
(setq vlaobj1 (vlax-ename->vla-object ent1)) | |||
(vlax-curve-getArea vlaobj1) | |||
) | |||
</pre> | |||
[[Category:AutoLISP]] | [[Category:AutoLISP]] |
2014年7月4日 (金) 06:06時点における版
- 構文
- (vlax-curve-getArea curve-obj)
- 機能
- 曲線の内側の面積を返す。
- 引数
-
- curve-obj : 計測する VLA オブジェクト。
- 戻り値
- 成功した場合は曲線の面積を表す実数。 それ以外の場合は nil。
- サンプル
(defun ex_curvearea () (vl-load-com) (setq ent1 (car (entsel "¥n円か楕円をクリック:"))) (setq vlaobj1 (vlax-ename->vla-object ent1)) (vlax-curve-getArea vlaobj1) )